Bug 192481 - Haskell-mode autoindent is broken
Haskell-mode autoindent is broken
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xemacs-sumo (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
: MoveUpstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-19 19:12 EDT by Perry Wagle
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 20060510-2.fc5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-26 16:53:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Possibly corrected haskell-indent.el (64.06 KB, text/plain)
2006-05-20 02:44 EDT, Ville Skyttä
no flags Details
Possibly corrected haskell-simple-indent.el (5.60 KB, text/plain)
2006-05-20 02:45 EDT, Ville Skyttä
no flags Details

  None (edit)
Description Perry Wagle 2006-05-19 19:12:34 EDT
Description of problem:
Auto-indent is broken in Haskell-mode.

Version-Release number of selected component (if applicable):
xemacs-sumo-20060510-2.fc5

How reproducible:
Haven't found any cases where it does work.

Steps to Reproduce:
1.  Install xemacs, xemacs-sumo, and the rest of the xemacs-* packages.
2.  move ~/.xemacs and ~/.emacs out of the way
3.  start up "xemacs foo.hs"
4.  type "data Tree = Node Tree Tree", then newline
5.  hit the tab (or control i)
  
Actual results:
Error message is "Symbol's function definition is void: line-end-position"

Expected results:
should alternate between reasonable tab stop with the pressing of tab.

Additional info:
was working fine until the most recent xemacs-sumo package
Comment 1 Ville Skyttä 2006-05-20 02:41:15 EDT
Ah, yes, XEmacs 21.4.x does not have line-end-position or line-beginning-position.  
Comment 2 Ville Skyttä 2006-05-20 02:44:19 EDT
Created attachment 129692 [details]
Possibly corrected haskell-indent.el

Here's a possibly corrected haskell-indent.el.

Until a fixed xemacs-sumo (or xemacs 21.4.x) package is installed, you could
try creating the ~/.xemacs/xemacs-packages/lisp/haskell-mode directory and
installing this file and the haskell-simple-indent.el I'll attach in a jiffy to
it.
Comment 3 Ville Skyttä 2006-05-20 02:45:04 EDT
Created attachment 129694 [details]
Possibly corrected haskell-simple-indent.el
Comment 4 Ville Skyttä 2006-05-26 16:53:18 EDT
Fixed in 20060510-2.fc5.1

Note You need to log in before you can comment on or make changes to this bug.